## glib2.0 2.82.4

=== debian/changelog ===
glib2.0 (2.82.4-2) unstable; urgency=medium

  * d/gbp.conf:
    Use debian/trixie branch for uploads targeting inclusion in trixie.
    The debian/latest branch now has 2.83.x, for experimental.
  * d/rules: Let dh_auto_test choose suitable arguments for `meson test`;
    in particular this avoids --no-rebuild, which is problematic with
    Meson 1.7 prereleases (Closes: #1092945)

 -- Simon McVittie <smcv@debian.org>  Tue, 14 Jan 2025 09:01:05 +0000

glib2.0 (2.82.4-1) unstable; urgency=medium

  * New upstream stable release
    - Fixes a regression for pygobject apps, already fixed in Debian
      (#1089631)
    - Functionally equivalent to 2.82.3-2
  * d/p/Revert-gdbus-Fix-leak-of-method-invocation-when-registeri.patch,
    d/p/gdbusconnection-Add-a-comment-explaining-why-an-invocatio.patch,
    d/p/gdbusconnection-Document-existing-refcount-semantics-of-c.patch:
    Drop patches, applied upstream

 -- Simon McVittie <smcv@debian.org>  Fri, 13 Dec 2024 09:45:10 +0000

glib2.0 (2.82.3-2) unstable; urgency=medium

  * d/p/Revert-gdbus-Fix-leak-of-method-invocation-when-registeri.patch,
    d/p/gdbusconnection-Add-a-comment-explaining-why-an-invocatio.patch,
    d/p/gdbusconnection-Document-existing-refcount-semantics-of-c.patch:
    Add patches proposed upstream to fix a regression for pygobject apps
    (Closes: #1089631)

 -- Simon McVittie <smcv@debian.org>  Tue, 10 Dec 2024 22:01:11 +0000

glib2.0 (2.82.3-1) unstable; urgency=medium

  [ Jeremy Bícha ]
  * Bump Breaks/Replaces to 2.82.2-1 for upgrades to Ubuntu 25.04.
    Unfortunately, we may need to bump this again if newer versions of
    2.82.x reach Ubuntu 24.10.

  [ Simon McVittie ]
  * New upstream stable release
    - Fix some memory/reference leaks
    - Fix an incorrect assertion in a test
  * d/patches: Drop patches that were applied in 2.28.2-3, no longer needed
  * d/rules: Silence some blhc false-positives for glib-compile-resources
  * d/salsa-ci.yml: Add salsa.debian.org Gitlab-CI integration
  * d/upstream/metadata: Add Bug-Submit, fix Bug-Database
  * d/upstream/metadata: Add Archive, Changelog, Documentation
  * Bump Breaks/Replaces to 2.82.3-1 for better compatibility with Ubuntu

 -- Simon McVittie <smcv@debian.org>  Mon, 09 Dec 2024 16:50:09 +0000

glib2.0 (2.82.2-3) unstable; urgency=medium

  * d/patches: Update to upstream commit 2.82.2-15-g3e74b0a3ea, excluding
    a macOS-specific change
    - d/p/glib-Don-t-require-GLIB_DOMAIN-to-be-a-NUL-terminated-str.patch,
      d/p/glib-Make-sure-GLIB_OLD_LOG_API-is-a-NUL-terminated-strin.patch,
      d/p/glib-Add-test-for-handling-of-non-NUL-terminated-strings-.patch:
      Fix handling of non-NUL-terminated strings in default log handler
    - d/p/gio-Fix-GFileEnumerator-leaks-in-gio-tools.patch:
      Fix some reference leaks
    - d/p/arcbox-Document-that-implementing-weak-references-via-the.patch:
      Document a pattern that might seem thread-safe but is not
    - d/p/refstring-Fix-race-between-releasing-and-re-acquiring-an-.patch:
      Fix a race condition in refcounted strings
  * d/gbp.conf, d/watch: Only watch for stable (2.82.x) versions.
    GLib 2.83.0 has been released, but is not ready to be included in
    Debian testing/unstable unless the Debian 13 freeze date is pushed
    out past the GNOME 48 release.

 -- Simon McVittie <smcv@debian.org>  Wed, 13 Nov 2024 10:02:21 +0000
