=== debian/watch ===
version=4
opts="searchmode=plain, uversionmangle=s/\.(alpha|beta|rc)/~$1/, downloadurlmangle=s|cache.json||" \
https://download.gnome.org/sources/glib/cache.json \
	[\d.]+[02468]/glib-@ANY_VERSION@@ARCHIVE_EXT@
#opts="mode=git,compression=xz" \
#https://gitlab.gnome.org/GNOME/glib.git \
#refs/tags/@ANY_VERSION@

# Update the version as needed to correspond to the version of Unicode
# data used to generate glib/gunichartables.h etc.
# Update and run the maintainer-update-unicode-data target in d/rules
# to verify
opts="component=unicode-data, compression=xz, downloadurlmangle=s#/?$#/UCD.zip#, filenamemangle=s#.*/([^/]+)/?$#UCD-$1.zip#" \
https://www.unicode.org/Public/zipped/ \
(15\.1\.0)/?
