## glib2.0 2.83.2

=== debian/changelog ===
glib2.0 (2.83.2-2) experimental; urgency=medium

  * Merge packaging from unstable
    - d/rules: Let dh_auto_test choose suitable arguments for `meson test`;
      in particular this avoids --no-rebuild, which is problematic with
      Meson 1.7 prereleases (Closes: #1092945)
  * d/rules: Stop setting VERBOSE.
    This was an Autotools thing, and hasn't been relevant for years now.
  * d/rules: Stop forcing tests to run serially.
    This was apparently necessary 10 years ago, but hopefully not any more.
    An upload to experimental is a good opportunity to find out.
  * d/p/girepository-Correct-c-include-arguments-for-GIO-Unix-Win.patch:
    Mark patch as applied upstream

 -- Simon McVittie <smcv@debian.org>  Tue, 14 Jan 2025 13:05:11 +0000

glib2.0 (2.83.2-1) experimental; urgency=medium

  * New upstream development release
  * d/*.symbols: Update
  * d/rules, d/watch: GLib 2.83.2 contains files generated from Unicode 16.0
  * d/copyright: Don't exclude NormalizationTest.txt
  * d/copyright: Update
  * d/patches: Refresh patch series, dropping patches that were applied
    upstream
  * d/control: Increase build-dependency versions as per meson.build
  * d/p/girepository-Correct-c-include-arguments-for-GIO-Unix-Win.patch:
    Add proposed patch to fix multiarch co-installability.
    This also fixes the header inclusion paths recommended in the GIR
    XML and documentation for the gio-unix-2.0 module.

 -- Simon McVittie <smcv@debian.org>  Sun, 15 Dec 2024 13:46:34 +0000
