=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
  libsysprof-capture-4-dev (>= 3.38.0) [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hppa loong64 powerpc ppc64 sh4] <!pkg.glib2.0.nosysprof>,
  libxml2-utils,
  linux-libc-dev [linux-any],
- meson (>= 1.2.0),
+ meson (>= 1.4.0),
  pkgconf,
  python3-docutils <!nodoc>,
  python3-packaging:native,
@@ -35,7 +35,7 @@
  cross-exe-wrapper <cross !nogir>,
  desktop-file-utils <!nocheck>,
  dh-sequence-gir <!nogir>,
- gobject-introspection (>= 1.78.1-18~) <!nogir>,
+ gobject-introspection (>= 1.80.0) <!nogir>,
  locales <!nocheck> | locales-all <!nocheck>,
  python3-dbus <!nocheck>,
  python3-gi <!nocheck>,
@@ -45,8 +45,8 @@
  xterm <!nocheck>,
 Build-Depends-Indep:
  cross-exe-wrapper <cross !nodoc>,
- gi-docgen <!nodoc>,
- gobject-introspection (>= 1.78.1-18~) <!nodoc>,
+ gi-docgen (>= 2024.1) <!nodoc>,
+ gobject-introspection (>= 1.80.0) <!nodoc>,
 Rules-Requires-Root: no
 Standards-Version: 4.7.0
 Homepage: https://wiki.gnome.org/Projects/GLib
@@ -177,11 +177,11 @@
  libgio-2.0-dev-bin (= ${binary:Version}),
  libglib2.0-bin (= ${binary:Version}),
 Breaks:
- libglib2.0-dev (<< 2.82.0-2~),
- libglib2.0-dev-bin (<< 2.82.0-2~),
-Replaces:
- libglib2.0-dev (<< 2.82.0-2~),
- libglib2.0-dev-bin (<< 2.82.0-2~),
+ libglib2.0-dev (<< 2.82.4-1~),
+ libglib2.0-dev-bin (<< 2.82.4-1~),
+Replaces:
+ libglib2.0-dev (<< 2.82.4-1~),
+ libglib2.0-dev-bin (<< 2.82.4-1~),
 Suggests:
  gir1.2-glib-2.0-dev,
  libglib2.0-doc,
