## glib2.0 2.84.1

=== debian/changelog ===
glib2.0 (2.84.1-1ubuntu0.1) plucky-security; urgency=medium

  * SECURITY UPDATE: Integer Overflow
    - debian/patches/CVE-2025-4373-1.patch: carefully handle gssize
      in glib/gstring.c.
    - debian/patches/CVE-2025-4373-2.patch: make len_unsigned
      unsigned in glib/gstring.c
    - CVE-2025-4373

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Mon, 12 May 2025 05:09:09 -0300

glib2.0 (2.84.1-1) unstable; urgency=medium

  * New upstream bugfix release (LP: #2106264)
  * Remove patches applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 04 Apr 2025 15:01:37 -0400

glib2.0 (2.84.0-2) unstable; urgency=medium

  [ Simon McVittie ]
  * d/control: libgio-2.0-dev-bin Breaks/Replaces old libglib2.0-dev,
    for smooth upgrades from bookworm directly to trixie
    (/usr/share/glib-2.0/gdb/*_gdb.py move between packages).
    Thanks to Helmut Grohne (Closes: #1100142)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 13 Mar 2025 19:31:48 -0400

glib2.0 (2.84.0-1) unstable; urgency=medium

  * New upstream release
  * d/patches: Add post-release fixes up to commit 2.84.0-12-g55a7660f18.
    In particular this fixes a FTBFS with the current version of
    gobject-introspection.
  * d/gbp.conf, d/watch: Watch for 2.84.x stable releases for trixie

 -- Simon McVittie <smcv@debian.org>  Mon, 10 Mar 2025 18:08:40 +0000

glib2.0 (2.83.5-1) unstable; urgency=medium

  * New upstream release
  * Remove "Search the appropriate directories" patch: applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 28 Feb 2025 13:34:44 -0500

glib2.0 (2.83.4-1) unstable; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
  * Bump Breaks/Replaces to ensure smooth Ubuntu 24.10 → 25.04 upgrades
  * debian/libglib2.0-0t64.symbols: Add new symbols
  * Refresh patches

  [ Simon McVittie ]
  * d/copyright: Update location of taptestrunner.py
  * libglib2.0-tests: Depend on GIR XML referenced by gi-compile-repository.py
  * d/p/tests-Search-the-appropriate-directories-for-our-GIR-XML-.patch:
    Add proposed patch to fix an autopkgtest failure

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 21 Feb 2025 10:49:20 -0500

glib2.0 (2.83.3-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 04 Feb 2025 14:06:00 -0500

glib2.0 (2.83.3-1) experimental; urgency=medium

  * New upstream release
  * Remove GIO-Unix-Win.patch: applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 24 Jan 2025 19:02:57 -0500
