=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: glib2.0
 Section: libs
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders:
  Jeremy Bícha <jbicha@ubuntu.com>,
  Marco Trevisan (Treviño) <marco@ubuntu.com>,
@@ -95,7 +96,9 @@
 Architecture: any
 Depends:
  desktop-file-utils,
- gir1.2-glib-2.0,
+ gir1.2-gio-2.0-dev,
+ gir1.2-glib-2.0-dev,
+ gir1.2-gobject-2.0-dev,
  libglib2.0-bin,
  libglib2.0-dev-bin,
  python3-dbus,
@@ -177,11 +180,11 @@
  libgio-2.0-dev-bin (= ${binary:Version}),
  libglib2.0-bin (= ${binary:Version}),
 Breaks:
- libglib2.0-dev (<< 2.82.4-1~),
- libglib2.0-dev-bin (<< 2.82.4-1~),
-Replaces:
- libglib2.0-dev (<< 2.82.4-1~),
- libglib2.0-dev-bin (<< 2.82.4-1~),
+ libglib2.0-dev (<< 2.83),
+ libglib2.0-dev-bin (<< 2.83),
+Replaces:
+ libglib2.0-dev (<< 2.83),
+ libglib2.0-dev-bin (<< 2.83),
 Suggests:
  gir1.2-glib-2.0-dev,
  libglib2.0-doc,
@@ -215,10 +218,10 @@
  ${python3:Depends},
  ${shlibs:Depends},
 Breaks:
- libgio-2.0-dev (<< 2.82.1-1~),
+ libgio-2.0-dev (<< 2.83),
  libglib2.0-0-dbg (<< 2.51.4-1~),
 Replaces:
- libgio-2.0-dev (<< 2.82.1-1~),
+ libgio-2.0-dev (<< 2.83),
  libglib2.0-0-dbg (<< 2.51.4-1~),
 Suggests:
  gir1.2-glib-2.0-dev,
@@ -251,11 +254,13 @@
  libgdk-pixbuf2.0-bin,
  libxml2-utils,
 Breaks:
- libgio-2.0-dev (<< 2.82.1-1~),
- libglib2.0-dev-bin (<< 2.82.0-2~),
-Replaces:
- libgio-2.0-dev (<< 2.82.1-1~),
- libglib2.0-dev-bin (<< 2.82.0-2~),
+ libgio-2.0-dev (<< 2.83),
+ libglib2.0-dev (<< 2.83),
+ libglib2.0-dev-bin (<< 2.83),
+Replaces:
+ libgio-2.0-dev (<< 2.83),
+ libglib2.0-dev (<< 2.83),
+ libglib2.0-dev-bin (<< 2.83),
 Multi-Arch: foreign
 Description: Development utilities for GLib, GObject and GIO libraries
  GLib is a library containing many useful C routines for things such
@@ -344,11 +349,11 @@
  ${misc:Depends},
  ${shlibs:Depends},
 Breaks:
- libglib2.0-dev (<< 2.82.0-2~),
- libglib2.0-dev-bin (<< 2.82.0-2~),
-Replaces:
- libglib2.0-dev (<< 2.82.0-2~),
- libglib2.0-dev-bin (<< 2.82.0-2~),
+ libglib2.0-dev (<< 2.83),
+ libglib2.0-dev-bin (<< 2.83),
+Replaces:
+ libglib2.0-dev (<< 2.83),
+ libglib2.0-dev-bin (<< 2.83),
 Description: Tools for working with GObject-Introspection repositories
  GLib is a library containing many useful C routines for things such
  as trees, hashes, lists, and strings.  It is a useful general-purpose
@@ -365,5 +370,3 @@
  When used via this package, these tools must be invoked with their
  host-architecture-specific names.
  .
- For command-line compatibility with non-Debian-based GLib packaging,
- the libglib2.0-dev package also provides versions of these tools for the
