=== debian/rules ===
--- 
+++ 
@@ -60,7 +60,7 @@
 	rm -f glib/gunidecomp.h
 	rm -f glib/tests/casefold.txt
 	rm -f glib/tests/casemap.txt
-	$(CURDIR)/tools/update-unicode-data.sh $(CURDIR)/unicode-data 15.1.0
+	$(CURDIR)/tools/update-unicode-data.sh $(CURDIR)/unicode-data 16.0.0
 
 execute_before_dh_auto_configure: cross-tools
 
@@ -191,7 +191,6 @@
 		-- \
 	dh_auto_test \
 		-B debian/build/deb \
-		--no-parallel \
 		-- \
 		--timeout-multiplier $(test_timeout_multiplier) \
 		--no-suite flaky \
@@ -206,7 +205,6 @@
 		LC_ALL=C.UTF-8 \
 	dh_auto_test \
 		-B debian/build/deb \
-		--no-parallel \
 		-- \
 		--timeout-multiplier $(test_timeout_multiplier) \
 		--suite flaky \
@@ -217,10 +215,6 @@
 # Skip build-time tests if all we are building is documentation;
 # running them once per architecture is plenty.
 override_dh_auto_test-indep:
-
-# Let's get failing tests' stdout and stderr so we have some information when
-# a build fails
-export VERBOSE=1
 
 ifeq ($(DEB_HOST_ARCH_OS),linux)
 enable_libmount := enabled
@@ -257,3 +251,9 @@
 ifneq ($(filter libglib2.0-tests,$(built_binaries)),)
 DEB_CONFIGURE_FLAGS_deb += -Dinstalled_tests=true
 else
+DEB_CONFIGURE_FLAGS_deb += -Dinstalled_tests=false
+endif
+
+ifneq ($(filter %-doc,$(built_binaries)),)
+DEB_CONFIGURE_FLAGS_deb += -Ddocumentation=true
+else
