=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: glib2.0
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders:
  Jeremy Bícha <jbicha@ubuntu.com>,
  Marco Trevisan (Treviño) <marco@ubuntu.com>,
@@ -50,7 +49,7 @@
  gobject-introspection (>= 1.80.0) <!nodoc>,
 Rules-Requires-Root: no
 Standards-Version: 4.7.0
-Homepage: https://wiki.gnome.org/Projects/GLib
+Homepage: https://gitlab.gnome.org/GNOME/glib
 Vcs-Browser: https://salsa.debian.org/gnome-team/glib
 Vcs-Git: https://salsa.debian.org/gnome-team/glib.git
 
@@ -370,3 +369,4 @@
  When used via this package, these tools must be invoked with their
  host-architecture-specific names.
  .
+ For command-line compatibility with non-Debian-based GLib packaging,
